The problem is likely the NDK version, which is optimal for Qt 5.12.3, but likely not compatible with 5.15